
Redmine - Defect #11337

No mail notifications sent after upgrade

2012-07-06 15:05 - Krisztian Kocsis

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.3

Description

After I'v upgraded Redmine from 1.4.3 to 2.0.3 it stopped sending mail notifications.

The configuration file seems OK (didn't change) but I didn't see anything from the associated email mailbox in /var/log/mail.log.

Also there are no more 'Sending email notification to: ...' lines in Redmine's log.

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.4

Rails version             3.2.6

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7f28c791a630>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /opt/redmine/optimaster

Environment               production

Database adapter          sqlite3

Database schema version   20120422150750

What other information do you need to fix this bug?

History

#1 - 2012-07-14 16:11 - Etienne Massip

What's your email configuration looks like?

#2 - 2012-07-14 16:11 - Etienne Massip

- Priority changed from High to Normal

#3 - 2012-07-16 07:47 - Krisztian Kocsis

- File configuration.yml added

I'v attached my config file.

#4 - 2012-07-16 21:14 - Etienne Massip

Do you have lines in your production.log telling that the application is parsing mailer views (a.k.a. mailer/*anything*)?

#5 - 2012-07-17 15:53 - Krisztian Kocsis

Yes, I have the following lines:
Rendered mailer/_issue.text.erb (3.3ms)

Rendered mailer/issue_edit.text.erb within layouts/mailer (5.3ms)

Rendered mailer/_issue.html.erb (1.2ms)

Rendered mailer/issue_edit.html.erb within layouts/mailer (2.7ms)

#6 - 2012-07-17 16:03 - Etienne Massip

Does it work when you change all async_smtp_ to smtp_ (i.e., use synchronous notifications) in your configuration?

#7 - 2012-07-17 16:39 - Krisztian Kocsis

Previously it was smtp_.

Tried, did not help.

#8 - 2012-07-17 16:46 - Etienne Massip

Does test mail work?

#9 - 2012-07-17 17:06 - Krisztian Kocsis

Okay, it is not a bug, it is a misconfiguration.

Some default ActionMailer config may changed.

I had to set enable_starttls_auto to false since there was a hostname does not match CN problem.

#10 - 2012-07-17 17:12 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Krisztian Kocsis wrote:

I had to set enable_starttls_auto to false since there was a hostname does not match CN problem.

 Where could you see this error message please?

#11 - 2012-07-17 17:14 - Krisztian Kocsis

On Settings -> Email notifications page after I tried to send the test email.

#12 - 2012-07-17 17:15 - Krisztian Kocsis

There was something else instead of CN!

#13 - 2012-10-04 19:31 - Fernando Hartmann

Krisztian Kocsis wrote:

There was something else instead of CN!

 It happened in my 2.0.4 install too, and the error is

An error occurred while sending mail (hostname was not match with the server certificate)

 Yes, my email server has configuration problems, but worked well with Redmine 1.4.4. I needed include enable_starttls_auto: false in configuration to

work again.

My configuration.yml now is likely

production:

  email_delivery:

    delivery_method: :smtp

    smtp_settings:

      address: mail.server

      port: 25

      tls: false

      enable_starttls_auto: false

      domain: server.domain

      authentication: :none
Files

configuration.yml 5.63 KB 2012-07-16 Krisztian Kocsis
